# Class FormParameter.UnusedParameterValueException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.lang.RuntimeException
com.meterware.httpunit.IllegalRequestParameterException
com.meterware.httpunit.FormParameter.UnusedParameterValueException

All Implemented Interfaces:
  `Serializable`

Enclosing class:
  `FormParameter`

public class FormParameter.UnusedParameterValueException extends IllegalRequestParameterException
This exception is thrown on an attempt to set a parameter to a value not permitted to it by the form.

Author:
  Russell Gold
See Also:
  - Serialized Form

## Method Summary

Modifier and Type
Method
Description
`String`
`getMessage()`
get the message for this exception

### Methods inherited from class Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Method Details

### getMessage

public String getMessage()
get the message for this exception

Overrides:
  `getMessage` in class `Throwable`
Returns:
  the message